Loading...
Searching...
No Matches
osmium::builder::AreaBuilder Class Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::AreaBuilder:
[legend]
Collaboration diagram for osmium::builder::AreaBuilder:
[legend]

## Public Member Functions

| AreaBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| AreaBuilder (Builder &parent)
void | initialize_from_object (const osmium::OSMObject &source)
Public Member Functions inherited from osmium::builder::OSMObjectBuilder< AreaBuilder, Area >
| OSMObjectBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
Area & | object () noexcept
const Area & | cobject () const noexcept
AreaBuilder & | set_user (const char *user, const string_size_type length)
AreaBuilder & | set_user (const char *user)
AreaBuilder & | set_user (const std::string &user)
void | add_tags (const std::initializer_list< std::pair< const char *, const char * > > &tags)
Public Member Functions inherited from osmium::builder::Builder
| Builder (const Builder &)=delete
| Builder (Builder &&)=delete
Builder & | operator= (const Builder &)=delete
Builder & | operator= (Builder &&)=delete
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using.
void | add_item (const osmium::memory::Item &item)

## Private Types

using | type = AreaBuilder

## Additional Inherited Members

Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder () noexcept
unsigned char * | item_pos () const noexcept
osmium::memory::Item & | item () const noexcept
unsigned char * | reserve_space (std::size_t size)
void | add_padding (bool self=false)
void | add_size (osmium::memory::item_size_type size)
uint32_t | size () const noexcept
template<typename T >
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append_with_zero (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)

## Member Typedef Documentation

## type

using osmium::builder::AreaBuilder::type = AreaBuilder

private

## Constructor & Destructor Documentation

## AreaBuilder() [1/2]

osmium::builder::AreaBuilder::AreaBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = nullptr )

inline explicit

## AreaBuilder() [2/2]

osmium::builder::AreaBuilder::AreaBuilder | ( | Builder & | parent | ) |

inline explicit

## Member Function Documentation

## initialize_from_object()

void osmium::builder::AreaBuilder::initialize_from_object | ( | const osmium::OSMObject & | source | ) |

inline

Initialize area attributes from the attributes of the given object.

The documentation for this class was generated from the following file:

- include/osmium/builder/osm_object_builder.hpp